# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndVolumeUnit Class Reference

`#include <StepBasic_SiUnitAndVolumeUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndVolumeUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SiUnitAndVolumeUnit ()
| Returns a SiUnitAndVolumeUnit .
Standard_EXPORT void | SetVolumeUnit (const Handle(StepBasic_VolumeUnit)&aVolumeUnit)
Standard_EXPORT Handle_StepBasic_VolumeUnit | VolumeUnit () const
virtual Standard_EXPORT void | SetDimensions (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents | Dimensions () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_VolumeUnit | volumeUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndVolumeUnit::StepBasic_SiUnitAndVolumeUnit | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents StepBasic_SiUnitAndVolumeUnit::Dimensions | ( |  | ) | const`[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT const StepBasic_SiUnitAndVolumeUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndVolumeUnit::SetDimensions | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT void StepBasic_SiUnitAndVolumeUnit::SetVolumeUnit | ( | const Handle(StepBasic_VolumeUnit)& | aVolumeUnit | ) |

Standard_EXPORT Handle_StepBasic_VolumeUnit StepBasic_SiUnitAndVolumeUnit::VolumeUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_VolumeUnit StepBasic_SiUnitAndVolumeUnit::volumeUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndVolumeUnit.hxx